LLM-readable documentation index
ApiV3GeneratedBuckets

List Buckets

Hand off to an LLM
GET
/v3/buckets
x-api-key<token>

Authenticate using API Key in request header

In: header

Query Parameters

limit?integer

Maximum number of buckets to return (default 50, max 200).

Formatint32
startingAfter?string

Cursor: return buckets whose bucketID sorts after this value.

endingBefore?string

Cursor: return buckets whose bucketID sorts before this value.

nameSubstring?string

Case-insensitive substring match on the bucket name.

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/buckets"
{
  "buckets": [
    {
      "bucketID": "string",
      "name": "string",
      "description": "string",
      "isDefault": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalCount": 0
}